> ## Documentation Index
> Fetch the complete documentation index at: https://www.kernel.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a workload identity federation rule



## OpenAPI

````yaml https://api.onkernel.com/spec.json get /org/workload_identity_federation_rules/{id}
openapi: 3.1.0
info:
  description: Developer tools and cloud infrastructure for AI agents to use web browsers
  title: Kernel API
  version: 0.1.0
servers:
  - description: API Server
    url: https://api.onkernel.com
security:
  - bearerAuth: []
tags:
  - description: Search the web and retrieve content for selected results.
    name: Search
  - description: Create and manage browser sessions.
    name: Browsers
  - description: Control mouse, keyboard, and screen on the browser instance.
    name: Browser Computer Controls
  - description: >-
      Execute Playwright code against the browser instance and manage the
      executors it runs in.
    name: Browser Playwright
  - description: Execute JavaScript in the browser instance's persistent Browser REPL.
    name: Browser REPL
  - description: Discover and invoke native page tools across the browser instance.
    name: Browser WebMCP
  - description: Read, write, and manage files on the browser instance.
    name: Browser Filesystem
  - description: Execute and manage processes on the browser instance.
    name: Browser Processes
  - description: Record and manage browser session video replays.
    name: Browser Replays
  - description: Stream logs from the browser instance.
    name: Browser Logs
  - description: >-
      Stream live telemetry events from a browser session, and manage the
      destinations sessions export them to.
    name: Browser Telemetry
  - description: Create, list, retrieve, and delete browser profiles.
    name: Profiles
  - description: Define tasks that agents work toward and link the browsers they use.
    name: Tasks
  - description: Discover report types and submit typed reports against tasks.
    name: Reports
  - description: Create and manage proxy configurations for routing browser traffic.
    name: Proxies
  - description: Create, list, retrieve, and delete browser extensions.
    name: Extensions
  - description: Create and manage browser pools for acquiring and releasing browsers.
    name: Browser Pools
  - description: Inspect the identity and authorization context for the current request.
    name: Authentication
  - description: >-
      Create and manage auth connections for automated credential capture and
      login.
    name: Managed Auth
  - description: Create and manage credentials for authentication.
    name: Credentials
  - description: Configure external credential providers like 1Password.
    name: Credential Providers
  - description: List applications and versions.
    name: Apps
  - description: Create and manage app deployments and stream deployment events.
    name: Deployments
  - description: Invoke actions and stream or query invocation status and events.
    name: Invocations
  - description: Read and manage organization-level limits.
    name: Organization
  - description: Create and manage projects for resource isolation within an organization.
    name: Projects
  - description: Create and manage API keys for organization and project-scoped access.
    name: API Keys
  - description: Read audit log records for the authenticated organization.
    name: Audit Logs
  - description: Resolve browser and proxy recommendations for bot-protected sites.
    name: Config Registry
paths:
  /org/workload_identity_federation_rules/{id}:
    parameters:
      - description: Stable resource ID.
        in: path
        name: id
        required: true
        schema:
          type: string
    get:
      tags:
        - Workload Identity
      summary: Get a workload identity federation rule
      operationId: getWorkloadIdentityFederationRule
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkloadIdentityFederationRule'
          description: Record
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - bearerAuth: []
components:
  schemas:
    WorkloadIdentityFederationRule:
      additionalProperties: false
      properties:
        archived_at:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        authorization:
          $ref: '#/components/schemas/WorkloadIdentityAuthorization'
        created_at:
          format: date-time
          readOnly: true
          type: string
        created_by_user_id:
          readOnly: true
          type:
            - string
            - 'null'
        description:
          default: ''
          maxLength: 4096
          type: string
        enabled:
          default: false
          type: boolean
        expected_audience:
          maxLength: 2048
          minLength: 1
          type: string
        id:
          readOnly: true
          type: string
        issuer_id:
          maxLength: 128
          minLength: 1
          type: string
        last_exchange_at:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        match:
          $ref: '#/components/schemas/WorkloadIdentityMatch'
        name:
          maxLength: 128
          minLength: 1
          pattern: ^[A-Za-z0-9][A-Za-z0-9-]*$
          type: string
        org_id:
          readOnly: true
          type: string
        security_version:
          description: Authority revision. Cosmetic updates do not widen permissions.
          minimum: 1
          readOnly: true
          type: integer
        target:
          $ref: '#/components/schemas/WorkloadIdentityTarget'
        updated_at:
          format: date-time
          readOnly: true
          type: string
      required:
        - name
        - description
        - issuer_id
        - match
        - expected_audience
        - target
        - authorization
        - enabled
        - id
        - org_id
        - security_version
        - created_by_user_id
        - created_at
        - updated_at
        - archived_at
        - last_exchange_at
      type: object
    WorkloadIdentityAuthorization:
      additionalProperties: false
      properties:
        max_token_ttl_seconds:
          default: 300
          maximum: 600
          minimum: 1
          type: integer
        policy:
          $ref: '#/components/schemas/ApiKeyPolicy'
          description: >-
            Allow statements for resources in this rule's project, in the same
            format as a scoped API key policy. API key actions are not allowed.
        project_id:
          description: The one project credentials from this rule are limited to.
          maxLength: 128
          minLength: 1
          type: string
        token_audience:
          maxLength: 2048
          minLength: 1
          type: string
      required:
        - project_id
        - policy
        - token_audience
      type: object
    WorkloadIdentityMatch:
      additionalProperties: false
      properties:
        claims:
          additionalProperties:
            maxLength: 1024
            minLength: 1
            type: string
          description: >-
            Exact string conditions keyed by RFC 6901 JSON Pointers. All
            conditions are ANDed.
          maxProperties: 32
          type: object
        environment:
          maxLength: 256
          type: string
        event_names:
          items:
            maxLength: 128
            minLength: 1
            type: string
          maxItems: 20
          minItems: 1
          type: array
        job_workflow_ref:
          maxLength: 1024
          type: string
        namespace:
          maxLength: 63
          type: string
        ref:
          maxLength: 512
          type: string
        repository:
          description: Friendly display name. Immutable IDs define the repository identity.
          maxLength: 256
          type: string
        repository_id:
          maxLength: 32
          pattern: ^[0-9]+$
          type: string
        repository_owner_id:
          maxLength: 32
          pattern: ^[0-9]+$
          type: string
        service_account:
          maxLength: 253
          type: string
        subject:
          maxLength: 1024
          minLength: 1
          type: string
        subject_prefix:
          maxLength: 1024
          minLength: 1
          type: string
        type:
          enum:
            - github_actions
            - aws
            - google_cloud
            - microsoft_entra
            - kubernetes
            - custom_oidc
          type: string
        workflow:
          maxLength: 512
          type: string
        workflow_ref:
          maxLength: 1024
          type: string
      required:
        - type
      type: object
    WorkloadIdentityTarget:
      additionalProperties: false
      properties:
        service_account_id:
          maxLength: 128
          minLength: 1
          type: string
        type:
          enum:
            - service_account
          type: string
      required:
        - type
        - service_account_id
      type: object
    Error:
      properties:
        code:
          description: Application-specific error code (machine-readable)
          example: bad_request
          type: string
        details:
          description: Additional error details (for multiple errors)
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
        inner_error:
          $ref: '#/components/schemas/ErrorDetail'
        message:
          description: Human-readable error description for debugging
          example: 'Missing required field: app_name'
          type: string
      required:
        - code
        - message
      type: object
    ApiKeyPolicy:
      properties:
        statements:
          description: Allow statements. Every action and resource not listed is denied.
          items:
            $ref: '#/components/schemas/ApiKeyPolicyStatement'
          maxItems: 256
          minItems: 1
          type: array
      required:
        - statements
      type: object
    ErrorDetail:
      properties:
        code:
          description: Lower-level error code providing more specific detail
          example: invalid_input
          type: string
        message:
          description: Further detail about the error
          example: Provided version string is not semver compliant
          type: string
      type: object
    ApiKeyPolicyStatement:
      properties:
        action:
          description: Permitted action, such as browsers:use or vaults:read.
          example: browsers:use
          type: string
        resource:
          description: >-
            Resource the action applies to, in the format
            projects/{project_id}/{kind}/{id}. Wildcards are supported.
          example: projects/proj_abc123/browsers/br_abc123
          type: string
      required:
        - action
        - resource
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Bad Request – invalid input
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unauthorized – missing or invalid authorization token
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Forbidden – insufficient permissions or plan
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Resource not found
    Conflict:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Conflict – resource already exists
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Internal Server Error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Service unavailable
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.